<? $this->layout()->disableLayout() ?>

<div>
	<h2 class="e_showname" style="float: left; margin-right: 10px;" rel="<?= $this->escort->email ?>">Escort: <?= $this->escort->showname ?> (ID: <?= $this->escort->id ?>)</h2>
	<a class="btn-quick-email"></a>
	<div class="clear"></div>
</div>

<? if ( count($this->susp_data) ): ?>
<div style="margin-top: 10px;">
	<strong>Was marked suspicious by</strong> <?= $this->susp_data['username'] ?> <strong>at</strong> <?= date("d M Y H:i", $this->susp_data['date']) ?> <strong>because of:</strong>
	<div style="background-color: #eee; border: 1px solid #ccc; padding: 3px; margin-top: 5px; overflow: hidden;">
		<?= $this->susp_data['comment'] ?>
	</div>
</div>
<? endif; ?>

<div class="clear"></div>

<style type="text/css">
	.photos {
		background: #999;
		padding: 10px 10px 0 0;
		/*overflow: hidden;*/
		list-style: none;
	}
	
	.photos-public { overflow-y:scroll; height: 300px; position: relative;}
	
	.photos li {
		float: left;
		margin: 0 0 10px 10px;
	}
	
	.photo {
		background: #fff;
		width: 150px;
		/*height: 150px;*/
		border: 1px solid #777;
		padding: 0;
		/*margin: 0 0 10px 10px;
		float: left;*/
		border-collapse: collapse;
	}
	
	.photo img {
		/*cursor: move;*/
		border:0;
	}
	
	.photo td {
		padding: 0;
		margin: 0;
		text-align: center;
		vertical-align: middle;
	}
	
	.photo .wrapper {
		padding: 5px;
		position: relative;
		overflow: hidden;
		width: 150px;
		height: 205px;
	}	
	
	.photo .status div {
		padding: 2px 4px;
		float: left;
		margin-left: 3px;
	}
	
	.photo .p100 {
		background: url('/img/100p.png');
		width: 28px;
		height: 20px;
		padding: 0 !important;
	}
	
	.photo .retouch {
		background: #f7b142;
	}
	
	.photo .main {
		background: #5e5;
	}
	
	.photo .rotatable {
		background: #EDD98E;
	}
	
	.photo a {
		outline:none !important;
		text-decoration:none !important;
	}
	.photo .status {
		font-size: 11px;
		color: #fff;
		position: absolute;
		right: 8px;
		top: 8px;
		z-index: 2;
	}
	
	.photo .status div {
		padding: 2px 4px;
		float: left;
		margin-left: 3px;
	}
	.photo .suspicious{
		background:#F6A91E;
	}
	
	.idcard-photo { 
		float:left;
		margin:5px 10px 5px 0;
		width:117px;
		position:relative;
		/*border:1px solid gray;*/
	}
	
	.idcard-photo .actions{ 
		bottom: 4px;
		left: 4px;
		position: absolute;
		z-index: 2;
	}
	
	.idcard-photo .actions .rotate-left {
		background: url("/img/famfamfam/arrow_rotate_anticlockwise.png") no-repeat scroll 50% 50% rgba(0, 0, 0, 0);
		display: block;
		float: right;
		height: 16px;
		width: 16px;
		cursor:pointer;
	}
	
	.idcard-photo .actions .rotate-right {
		background: url("/img/famfamfam/arrow_rotate_clockwise.png") no-repeat scroll 50% 50% rgba(0, 0, 0, 0);
		display: block;
		float: right;
		height: 16px;
		margin-right: 4px;
		width: 16px;
		cursor:pointer;
	}
	
	.idcard-photo a {
		outline:none !important;
		text-decoration:none !important;
	}
	
	.idcard-photo img {
		border:1px solid gray;
	}
	.date {
		width: 70px;
	}
		
	#filecontrol-edit {
		width: 528px;
		min-height: 109px
	}
	
	#filecontrol-edit .mooupload_listview li div.filename{
		width: 280px;
	}
	
</style>

<div class="form-common mt20">
	<input type="hidden" id="euro-escort-id" value="<?= $this->escort->id ?>"/>
	<fieldset class="fleft">
		<legend>Euro Lottery Pic</legend>
		
		
		<div class="idcard-photo">
			
			<? /*<div class="actions" hash="<?= $idcard_photo->hash ?>" ext="<?= $idcard_photo->ext ?>">
				<span class="rotate-left"></span>
				<span class="rotate-right"></span>
			</div>*/?>
			<a href="<?= $this->el_photo->getUrl('orig', 'euro-lottery').'?cache='.rand() ?>" class="highslide"  onclick="return hs.expand(this);">
				<img class="img-file" src="<?= $this->el_photo->getUrl('t100p','euro-lottery').'?cache='.rand() ?>" width="117" height="97" />
			</a>
			
		</div>
		
		
		<div class="clear"></div>
	</fieldset>
	
	<fieldset class="fleft m0">
		<legend>Upload Pic</legend>
		<div id="filecontrol-edit" class="half"></div>
		
		<div class="ad-photos">
			
		</div>
		<div class="clear"></div>
	</fieldset>
	
	<div class="clear"></div>
</div>

<div id="photo-tabs" class="mt10">

<!-- >>> MooTabs Tab Items -->
<ul class="mootabs_title">
	<li title="Public"><span>Public</span></li>
	<li title="Private"><span>Private</span></li>
	<? if ( in_array(Cubix_Application::getId(),array(APP_A6,APP_EF,APP_6A))): ?>
	<li title="Archived"><span>Archived</span></li>
	<? endif; ?>
	<li title="Disabled"><span>Disabled</span></li>
</ul>
<!-- <<< -->

<div id="Public" class="mootabs_panel" style="padding: 0">

	<ul class="photos photos-public">
		<?php foreach($this->photos as $photo): ?>
		<?php if( $photo->type == 3 || $photo->type == 4 || $photo->type == 5){continue;}?>
		<li>
			<table class="photo">
				<tr>
					<td>
						<div class="wrapper <?= ($photo->is_main) ? 'main' : ''; ?>">
							<div class="status">
								<? if($photo->is_suspicious):?> 
								<div class="suspicious">suspicious</div>
								<? endif;?>
							</div>
							<a href="<?= $photo->getUrl('orig'); ?>" class="highslide" onclick="return hs.expand(this);">
								<img src="<?= $photo->getUrl('backend_thumb'); ?>"/>
							</a>	
						</div>
					</td>
				</tr>
			</table>
		</li>
		<?php endforeach; ?>
	</ul>
	
</div>

<div id="Private" class="mootabs_panel" style="padding: 0">
	
	<ul class="photos photos-public">
		<?php foreach($this->photos as $photo): ?>
		<?php if ( $photo->type != 3 ) {continue;} ?>
		<li>
			<table class="photo">
				<tr>
					<td>
						<div class="wrapper <?= ($photo->is_main) ? 'main' : ''; ?>">
							<div class="status">
								<? if($photo->is_suspicious):?> 
								<div class="suspicious">suspicious</div>
								<? endif;?>
							</div>
							<a href="<?= $photo->getUrl('orig'); ?>" class="highslide" onclick="return hs.expand(this);">
							<img src="<?= $photo->getUrl('backend_thumb'); ?>"/>
							</a>	
						</div>
					</td>
				</tr>
			</table>
		</li>
		<?php endforeach; ?>
	</ul>
	
</div>

<? if ( in_array(Cubix_Application::getId(),array(APP_A6,APP_EF,APP_6A))): ?>
<div id="Archived" class="mootabs_panel" style="padding: 0">
	
	<ul class="photos photos-public">
		<?php foreach($this->photos as $photo): ?>
		<?php if( $photo->type != 5 ) {continue;}?>
		<li>
			<table class="photo">
				<tr>
					<td>
						<div class="wrapper">
							<div class="status">
								<? if($photo->is_suspicious):?> 
								<div class="suspicious">suspicious</div>
								<? endif;?>
							</div>
							<a href="<?= $photo->getUrl('orig'); ?>" class="highslide" onclick="return hs.expand(this);">
							<img src="<?= $photo->getUrl('backend_thumb'); ?>"/>
							</a>	
						</div>
					</td>
				</tr>
			</table>
		</li>
		<?php endforeach; ?>
	</ul>
	
</div>
<? endif; ?>

<div id="Disabled" class="mootabs_panel" style="padding: 0">
	
	<ul class="photos photos-public">
		<?php foreach($this->photos as $photo): ?>
		<?php if( $photo->type != 4 ) {continue;}?>
		<li>
			<table class="photo">
				<tr>
					<td>
						<div class="wrapper">
							<div class="status">
								<? if($photo->is_suspicious):?> 
								<div class="suspicious">suspicious</div>
								<? endif;?>
							</div>
							<a href="<?= $photo->getUrl('orig'); ?>" class="highslide" onclick="return hs.expand(this);">
							<img src="<?= $photo->getUrl('backend_thumb'); ?>"/>
							</a>	
						</div>
					</td>
				</tr>
			</table>
		</li>
		<?php endforeach; ?>
	</ul>
	
</div>

</div><!-- photo-tabs -->
